<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Sponsor extends Model
{
    use HasFactory;

    protected $fillable = [
        'name',
        'first_name',
        'last_name',
        'fiscal_code',
        'vat',
        'address',
        'zip_code',
        'nation_id',
        'province_id',
        'city_id',
        'phone',
        'email',
        'enabled'
    ];

    public function nation()
    {
        return $this->belongsTo(\App\Models\Nation::class);
    }

    public function province()
    {
        return $this->belongsTo(\App\Models\Province::class);
    }

    public function city()
    {
        return $this->belongsTo(\App\Models\City::class);
    }

}
